=== debian/changelog ===
bombono-dvd (0.5.5-0ubuntu2) lucid; urgency=low

  * Add italian translation, thanks to Sergio Zanchetta.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 15 Apr 2010 06:49:50 +0200

bombono-dvd (0.5.5-0ubuntu1) lucid; urgency=low

  * New upstream bugfix release.
  * Fix watch file.
  * Bump Standards.
  * Drop 01_toolame.diff and 03_scsi.diff, applied by upstream.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Fri, 12 Mar 2010 08:42:05 +0100

bombono-dvd (0.5.2-0.3ubuntu1) lucid; urgency=low

  * debian/*: Lines should be shorter than 80 characters.
  * Drop ccache support.
  * Switch to debian 3.0 (quilt) format.
  * Switch to debhelper 7.
  * debian/control:
    - Improve runtime descriptions.
    - Add missing ${misc:Depends} macro to Depends fields.
  * debian/mpeg2demux.1:
    - Fix hyphen-used-as-minus-sign lintian warning.
  * Add patch to adjust desktop file as per spec.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 01 Feb 2010 11:05:11 +0100

bombono-dvd (0.5.2-0.3) unstable; urgency=low

  * debian/rules replace dh_installmanpages by dh_installman otherwise
    unwanted manpages are installed.

 -- Christian Marillat <marillat@debian.org>  Wed, 11 Nov 2009 10:04:55 +0100

bombono-dvd (0.5.2-0.2) unstable; urgency=low

  * Should depends on scons.
  * Add an upstream patch to fix a bug when /proc/scsi/sg/devices is
    missing.
  * Added mpeg2demux and bombono-dvd manpages from upstream author.

 -- Christian Marillat <marillat@debian.org>  Sun, 08 Nov 2009 12:22:49 +0100

bombono-dvd (0.5.2-0.1) unstable; urgency=low

  * Delete generated config.opts file.
  * Add more option for sparc.

 -- Christian Marillat <marillat@debian.org>  Fri, 06 Nov 2009 22:09:31 +0100

bombono-dvd (0.5.2-0.0) unstable; urgency=low

  * First upload to my repository.

 -- Christian Marillat <marillat@debian.org>  Wed, 04 Nov 2009 11:44:54 +0100

bombono-dvd (0.5.2-1) unstable; urgency=low

  * New upstream release.

 -- Ilya Murav'jov <muravev@yandex.ru>  Thu, 24 Sep 2009 14:19:30 +0400

bombono-dvd (0.5.1-1) unstable; urgency=low

  * New upstream release.

 -- Ilya Murav'jov <muravev@yandex.ru>  Sun,  6 Sep 2009 23:25:15 +0400

bombono-dvd (0.5-1) unstable; urgency=low

  * Initial Release.

 -- Ilya Murav'jov <muravev@yandex.ru>  Thu, 25 Jun 2009 18:01:22 +0400
