=== debian/watch ===
version=3
http://sf.net/bombono/bombono-dvd-(.*)\.tar\.gz
