## bombono-dvd 0.6.0

=== debian/changelog ===
bombono-dvd (0.6.0-0ubuntu1) maverick; urgency=low

  * New upstream release (LP: #565084).
  * Fix watch file.
  * Drop 11-it_translation.patch, pot template is changed.
  * Refresh 02_sparc.diff patch.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sat, 08 May 2010 01:22:53 +0200
