=== debian/control ===
Source: bombono-dvd
Section: graphics
Priority: optional
Maintainer: Alessio Treglia <quadrispro@ubuntu.com>
Standards-Version: 3.8.4
Homepage: http://www.bombono.org
Build-Depends: debhelper (>= 7.0.50~),
 scons,
 libdvdread-dev,
 libgtkmm-2.4-dev,
 libxml++2.6-dev,
 libmjpegtools-dev,
 libgraphicsmagick++1-dev,
 libboost-filesystem1.40-dev,
 libboost-regex1.40-dev

Package: bombono-dvd
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 python,
 dvdauthor,
 mjpegtools,
 dvd+rw-tools,
 twolame,
 bombono-dvd-data,
 scons
Suggests: totem
Description: DVD authoring program with nice and clean GUI
 Bombono DVD is easy to use program for making DVD-Video.
 The main features of Bombono DVD are:
  * excellent MPEG viewer: Timeline and Monitor
  * real WYSIWYG Menu Editor with live thumbnails
  * comfortable Drag-N-Drop support
  * you can author to folder, make ISO-image or burn directly to DVD
  * reauthoring: you can import video from DVD discs.

Package: bombono-dvd-data
Architecture: all
Enhances: bombono-dvd
Depends: ${misc:Depends}
Description: Data files for bombono-dvd
 Bombono DVD is easy to use program for making DVD-Video.
 The main features of Bombono DVD are:
  * excellent MPEG viewer: Timeline and Monitor
  * real WYSIWYG Menu Editor with live thumbnails
  * comfortable Drag-N-Drop support
  * you can author to folder, make ISO-image or burn directly to DVD
  * reauthoring: you can import video from DVD discs.
 .
 This package contains architecture-independent data files needed by
 bombono-dvd.
