=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	scons CFLAGS="-Wno-extra" USE_EXT_BOOST=true PREFIX=/usr \
	BOOST_LIBPATH=/usr/include/boost DESTDIR=$(CURDIR)/debian/tmp

override_dh_auto_clean:
	dh_auto_clean
	dh_clean config.log tools/scripts/*.pyc config.opts

override_dh_auto_install:
	scons CFLAGS="-Wno-extra" USE_EXT_BOOST=true PREFIX=/usr \
	BOOST_LIBPATH=/usr/include/boost DESTDIR=$(CURDIR)/debian/tmp \
	CC="$(CC)" CXX="$(CXX)" install
