## bombono-dvd 0.6.0-0ubuntu1trisquel1

=== resources/scons_authoring/SConstruct ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/env python
 # coding: utf-8
 
-from SConsTwin import MakeGenAction
+from SConsTwin import MakeGenAction, IsSConsVersionGE
 import os
 
 # поменьше служебных файлов на виду
@@ -9,6 +9,16 @@
 if os.path.isdir(tmp_dir) == 0:
     os.makedirs(tmp_dir)
 SConsignFile(tmp_dir + os.sep + '.sconsign')
+
+if not IsSConsVersionGE((1, 1, 0)):
+    # до 1.1.0 md5 считалось чтением в строку (память) содержимого всего файла,
+    # что для гигабайтных файлов фатально
+    # Замечание: реально не вылетает если отключить вычисление csig, а не установкой
+    # SourceSignatures('timestamp'); потому что csig вычисляется всегда, "на всякий случай" для <= 1.1.0
+    from SCons.Node.FS import FileNodeInfo
+    FileNodeInfo.field_list.remove('csig')
+
+    SourceSignatures('timestamp')
 
 # нужен правильный $PATH и т.д.
 # просто Replace() не дают сделать
@@ -87,10 +97,17 @@
 # * воспроизвести результат в Totem
 #
 # всю директорию указывать нельзя - scons будет пытаться со всех файлов брать md5="тупить на 4Gb"
-def GenTotemAction(source, target, env, for_signature):
-    return "totem dvd://%s" % (GetDVDDir(source[0], 1)) # 'totem dvd://${SOURCES[0].abspath}')
+def GenPlayerAction(player_name):
+    def GenAction(source, target, env, for_signature):
+        return player_name + " dvd://%s" % (GetDVDDir(source[0], 1)) # 'totem dvd://${SOURCES[0].abspath}')
+    return GenAction
 
-MakeAbstractCommandForDVDDir("totem", GenTotemAction)
+def MakePlayerCommand(player_name):
+    MakeAbstractCommandForDVDDir(player_name, GenPlayerAction(player_name))
+
+MakePlayerCommand("totem")
+MakePlayerCommand("xine")
+
 
 DVDLabelOption = ''
 if DVDLabel:
