=== debian/changelog ===
bombono-dvd (0.6.0-0ubuntu1trisquel1) slaine; urgency=low

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 26 May 2011 21:10:22 +0000
