=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: bombono-dvd
 Section: graphics
 Priority: optional
-Maintainer: Alessio Treglia <quadrispro@ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Standards-Version: 3.8.4
 Homepage: http://www.bombono.org
 Build-Depends: debhelper (>= 7.0.50~),
