=== debian/changelog ===
bombono-dvd (1.0.0-0ubuntu1) natty; urgency=low

  * New upstream release (LP: #695754).
  * Build-depends on libavformat-dev,libswscale-dev.
  * Recommends on ttf-freefont.
  * Don't install FreeSans.ttf, already available in ttf-freefont.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 03 Jan 2011 10:25:30 +0100

bombono-dvd (0.8.0-0ubuntu1) natty; urgency=low

  * New upstream release (LP: #670193).
  * Refresh 02_sparc.diff patch.
  * Replace 05-boost_filesystem-link.patch with 05-fix_boost.patch, it fixes
    build failure with Boost <= 1.44.
  * Bump Standards.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 04 Nov 2010 11:46:25 +0100

bombono-dvd (0.6.0-0ubuntu2) natty; urgency=low

  * Update build-depends to libboost-filesystem1.42-dev and
    libboost-regex1.42-dev
  * Add patch to add mlib_env.Append( LIBS = ['boost_system'] to SConstruct to
    fix indirect linking FTBFS in Natty

 -- Scott Kitterman <scott@kitterman.com>  Sat, 16 Oct 2010 14:14:55 -0400
