=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: bombono-dvd
 Section: graphics
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-Standards-Version: 3.8.4
+Maintainer: Alessio Treglia <quadrispro@ubuntu.com>
+Standards-Version: 3.9.1
 Homepage: http://www.bombono.org
 Build-Depends: debhelper (>= 7.0.50~),
  scons,
+ libavformat-dev,
+ libswscale-dev,
  libdvdread-dev,
  libgtkmm-2.4-dev,
  libxml++2.6-dev,
  libmjpegtools-dev,
  libgraphicsmagick++1-dev,
- libboost-filesystem1.40-dev,
- libboost-regex1.40-dev
+ libboost-filesystem1.42-dev,
+ libboost-regex1.42-dev
 
 Package: bombono-dvd
 Architecture: any
@@ -25,6 +27,7 @@
  twolame,
  bombono-dvd-data,
  scons
+Recommends: ttf-freefont
 Suggests: totem
 Description: DVD authoring program with nice and clean GUI
  Bombono DVD is easy to use program for making DVD-Video.
