=== debian/changelog ===
bombono-dvd (1.0.0-0ubuntu1+5.0trisquel1) dagda; urgency=low

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 19 Sep 2011 23:58:18 +0000
