## bombono-dvd 1.0.2

=== debian/changelog ===
bombono-dvd (1.0.2-0ubuntu2) oneiric; urgency=low

  * Port to libav 0.7 API.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 19 Aug 2011 15:00:23 +0100

bombono-dvd (1.0.2-0ubuntu1) oneiric; urgency=low

  * New upstream release (LP: #764469).
  * Add enca,ffmpeg to Depends.
  * Replace libboost-filesystem1.42-dev,libboost-regex1.42-dev with
    libboost-filesystem1.46-dev,libboost-regex1.46-dev.
  * Build-Depends on libboost-dev.
  * Bump Standards.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 02 May 2011 22:10:59 +0200
