=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: bombono-dvd
 Section: graphics
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-Standards-Version: 3.9.1
+Maintainer: Alessio Treglia <quadrispro@ubuntu.com>
+Standards-Version: 3.9.2
 Homepage: http://www.bombono.org
 Build-Depends: debhelper (>= 7.0.50~),
  scons,
@@ -13,8 +13,9 @@
  libxml++2.6-dev,
  libmjpegtools-dev,
  libgraphicsmagick++1-dev,
- libboost-filesystem1.42-dev,
- libboost-regex1.42-dev
+ libboost-dev,
+ libboost-filesystem1.46-dev,
+ libboost-regex1.46-dev
 
 Package: bombono-dvd
 Architecture: any
@@ -26,6 +27,8 @@
  dvd+rw-tools,
  twolame,
  bombono-dvd-data,
+ ffmpeg,
+ enca,
  scons
 Recommends: ttf-freefont
 Suggests: totem
