=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 override_dh_auto_build:
 	scons CFLAGS="-Wno-extra" USE_EXT_BOOST=true PREFIX=/usr \
-	CPPFLAGS='-UBOOST_SYSTEM_NO_DEPRECATED' \
+	CPPFLAGS='-UBOOST_SYSTEM_NO_DEPRECATED -DBOOST_FILESYSTEM_VERSION=2' \
 	BOOST_LIBPATH=/usr/include/boost DESTDIR=$(CURDIR)/debian/tmp
 
 override_dh_auto_clean:
