## bombono-dvd 1.2.1

=== SConstruct ===
--- 
+++ 
@@ -25,6 +25,9 @@
 RequiredLibs = ['glibmm-2.4', 'libxml++-2.6', 'gtkmm-2.4']
 FFmpegLibs   = ['libavformat', 'libavcodec', 'libswscale', 'libavutil']
 RequiredLibs += FFmpegLibs
+
+# :TODO: convert to config.opts option
+ConfigGPL = False
 
 # define path to libs
 def SetLibraries(config, user_options_dict):
@@ -335,5 +338,3 @@
         # raise is better, we'll see the error and its location
         raise #Exit(1)
 
-# optimization: checking files as make
-Decider('timestamp-newer')
