=== debian/changelog ===
bombono-dvd (1.2.1-0ubuntu5) saucy; urgency=low

  * Cherry-pick patches from upstream to build against boost1.53.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Thu, 02 May 2013 22:09:31 +0100

bombono-dvd (1.2.1-0ubuntu4) raring; urgency=low

  * 03_libav.patch: fix FTBFS with libav9. Patch taken from upstream that
    disable DVD reading until a real solution is found.

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Thu, 08 Nov 2012 06:47:43 +0100

bombono-dvd (1.2.1-0ubuntu3) quantal; urgency=low

  * debian/control:
    + Bump standards version to 3.9.3
    + Build-depend on unversioned boost libraries:
      libboost-filesystem1.46-dev -> libboost-filesystem-dev
      libboost-regex1.46-dev -> libboost-regex-dev
    + Add python dependency to bombono-dvd-data to fix lintian error
      python-script-but-no-python-dep. It could be overridden, but this
      dependency doesn't hurt.
  * debian/patches/01_glib.patch:
    + Cherrypick a patch from upstream to fix FTBFS with new glib.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 29 May 2012 08:13:54 +0100

bombono-dvd (1.2.1-0ubuntu2) precise; urgency=low

  * Don't install manpages into both mandvd{,-data} packages, fix
    uninstallable state. (LP: #930897)
  * Properly set bombono-dvd's Breaks/Replaces fields to properly replace
    bombono-dvd-data.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sun, 12 Feb 2012 12:33:55 +0100

bombono-dvd (1.2.1-0ubuntu1) precise; urgency=low

  * New upstream release (LP: #890495)
  * Remove patches, applied upstream or not needed anymore:
    - 04-desktop_file.patch 
    - 05-fix_boost.patch
    - 06-libav-0.7.patch
  * Enable parallel builds.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 09 Feb 2012 22:41:35 +0100
