=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: graphics
 Priority: optional
 Maintainer: Alessio Treglia <quadrispro@ubuntu.com>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.bombono.org
 Build-Depends: debhelper (>= 7.0.50~),
  scons,
@@ -14,8 +14,8 @@
  libmjpegtools-dev,
  libgraphicsmagick++1-dev,
  libboost-dev,
- libboost-filesystem1.46-dev,
- libboost-regex1.46-dev
+ libboost-filesystem-dev,
+ libboost-regex-dev
 
 Package: bombono-dvd
 Architecture: any
@@ -26,10 +26,12 @@
  mjpegtools,
  dvd+rw-tools,
  twolame,
- bombono-dvd-data,
+ bombono-dvd-data (>= ${source:Version}),
  ffmpeg,
  enca,
  scons
+Breaks: bombono-dvd-data (<= 1.2.1-0ubuntu1)
+Replaces: bombono-dvd-data (<= 1.2.1-0ubuntu1)
 Recommends: ttf-freefont
 Suggests: totem
 Description: DVD authoring program with nice and clean GUI
@@ -44,7 +46,7 @@
 Package: bombono-dvd-data
 Architecture: all
 Enhances: bombono-dvd
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, python
 Description: Data files for bombono-dvd
  Bombono DVD is easy to use program for making DVD-Video.
  The main features of Bombono DVD are:
